#pragma once
#pragma warning( disable : 4482 )
#include "common.hpp"
#include <vector>

class Model
{
public:
	Model(void);
	~Model(void);
	void Model::createTextureHandles(int size);
	static void Model::changeTextures(bool mipmapping, bool anisotropic);
	GLuint mVboId[3];
	GLuint mVaoId;
	int *mNumberOfVerticesPerMesh;
	int mNumberOfMeshes;
	int *mTextureHandles;
	float mMaterialFactor;
	glm::vec4 *mDiffuseColor;
	int mUseLight; //0 = no light, 1 = light
	int mUseTexture; //0 = no texture, 1 = texture, 2 = texture with alphamap
	int mNumberOfTextures;
	static std::vector<Model*> sModels;
};

