#include "Plane.hpp"


Plane::Plane(void)
{
}


Plane::~Plane(void)
{
}

float Plane::getDistance(glm::vec3  &point) const
{
	return glm::dot(normal, point)+d;
}

glm::vec3 Plane::getNormal() const
{
	return normal;
}

void Plane::set3Points( glm::vec3 &v1,  glm::vec3 &v2,  glm::vec3 &v3) 
{
    glm::vec3 aux1, aux2;

    aux1 = glm::normalize(v1 - v2);
    aux2 = glm::normalize(v3 - v2);

    normal = glm::normalize(glm::cross(aux2, aux1));
    d = -glm::dot(normal,v2);
}